
Foreman - Refactor #5936

Unnecessary call to FactName.maximum slows down ENC

05/27/2014 10:51 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: External Nodes   

Target version: 1.5.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1107671 Red Hat JIRA:  

Pull request:    

Description

As explained here: https://github.com/theforeman/foreman/pull/1477

The query "SELECT MAX AS maximum_id, name AS name FROM `fact_names` GROUP BY name ORDER BY fact_names.name"

needs to be called only when there are facts to create. Calling it every time slows down every ENC call, especially when the

fact_names table is large.

History

#1 - 05/27/2014 11:00 AM - Dominic Cleal

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 16

Commit message should've been #5936, not #5946.

https://github.com/theforeman/foreman/commit/9e78711ab374d349186b5ba58f2fb8fb58e14ff4

#2 - 06/10/2014 12:37 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107671
